# Uses of Class
org.opensaml.core.xml.util.IndexedXMLObjectChildrenList

Packages that use IndexedXMLObjectChildrenList
Package
Description
org.opensaml.core.xml
Base classes for working with XML as Java objects and configuring the library.
org.opensaml.core.xml.mock
org.opensaml.core.xml.schema.impl
Implementations of the interfaces for XMLObjects that represent XML schema types.
org.opensaml.core.xml.util
Utility classes for working with XML, XMLObjects, and various data types.
org.opensaml.saml.ext.saml2alg.impl
Implementation for SAML v2.0 Metadata Profile for Algorithm Support Version 1.0.
org.opensaml.saml.ext.saml2mdattr.impl
Implementation for SAML v2.0 Metadata Extension for Entity Attributes Version 1.0.
org.opensaml.saml.ext.saml2mdui.impl
Implementation for SAML V2 Metadata Extensions for UI and Discovery.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.
org.opensaml.soap.common
Common classes shared across SOAP versions, clients, and transports.
org.opensaml.soap.wsaddressing.impl
XML Object provider implementations for WS-Addressing.
org.opensaml.soap.wspolicy.impl
XML Object provider implementations for WS-Policy.
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.
org.opensaml.xacml.profile.saml.impl
XMLObject implementation classes for XACML SAML profile.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.core.xml

Fields in org.opensaml.core.xml declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
AbstractElementExtensibleXMLObject.`anyXMLObjects`
xs:any `XMLObject` child elements.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.core.xml.mock

Fields in org.opensaml.core.xml.mock declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private IndexedXMLObjectChildrenList<XMLObject>`
SimpleXMLObject.`unknownXMLObjects`
Other children.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.core.xml.schema.impl

Fields in org.opensaml.core.xml.schema.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private IndexedXMLObjectChildrenList<XMLObject>`
XSAnyImpl.`unknownXMLObjects`
Child XMLObjects.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.core.xml.util

Fields in org.opensaml.core.xml.util declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<ElementType>`
ListView.`backingList`
List that backs this view.
Constructors in org.opensaml.core.xml.util with parameters of type IndexedXMLObjectChildrenList
Modifier
Constructor
Description
``
`ListView(IndexedXMLObjectChildrenList<ElementType> newBackingList, QName newIndex)`
Constructor.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.saml.ext.saml2alg.impl

Fields in org.opensaml.saml.ext.saml2alg.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
DigestMethodImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
SigningMethodImpl.`unknownChildren`
Wildcard child elements.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.saml.ext.saml2mdattr.impl

Fields in org.opensaml.saml.ext.saml2mdattr.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<SAMLObject>`
EntityAttributesImpl.`attributeInfo`
Extension data.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.saml.ext.saml2mdui.impl

Fields in org.opensaml.saml.ext.saml2mdui.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
DiscoHintsImpl.`discoHintsChildren`
Children of the UIInfo.
`private final IndexedXMLObjectChildrenList<XMLObject>`
UIInfoImpl.`uiInfoChildren`
Children of the UIInfo.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.saml.saml1.core.impl

Fields in org.opensaml.saml.saml1.core.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
AdviceImpl.`assertionChildren`
Contains all the SAML objects we have added.
`private final IndexedXMLObjectChildrenList<Condition>`
ConditionsImpl.`conditions`
Set containing all the Conditions.
`private final IndexedXMLObjectChildrenList<Evidentiary>`
EvidenceImpl.`evidence`
The Evidentiary child elements.
`private final IndexedXMLObjectChildrenList<Statement>`
AssertionImpl.`statements`
Object representation of all the `Statement` elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
AdviceImpl.`unknownChildren`
"any" children.
`private final IndexedXMLObjectChildrenList<XMLObject>`
StatusDetailImpl.`unknownChildren`
child "any" elements.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.saml.saml2.core.impl

Fields in org.opensaml.saml.saml2.core.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<Condition>`
ConditionsImpl.`conditions`
A Condition.
`private final IndexedXMLObjectChildrenList<Evidentiary>`
EvidenceImpl.`evidence`
Assertion of the Evidence.
`private final IndexedXMLObjectChildrenList<XMLObject>`
AdviceImpl.`indexedChildren`
Children.
`private final IndexedXMLObjectChildrenList<XMLObject>`
AttributeStatementImpl.`indexedChildren`
Attributes and EncryptedAttributes in this statement.
`private final IndexedXMLObjectChildrenList<XMLObject>`
ResponseImpl.`indexedChildren`
Assertion child elements.
`private final IndexedXMLObjectChildrenList<Statement>`
AssertionImpl.`statements`
Statements of the assertion.
`private final IndexedXMLObjectChildrenList<XMLObject>`
ExtensionsImpl.`unknownChildren`
"any" children.
`private final IndexedXMLObjectChildrenList<XMLObject>`
StatusDetailImpl.`unknownChildren`
child "any" elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
SubjectConfirmationDataImpl.`unknownChildren`
"any" children.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.saml.saml2.metadata.impl

Fields in org.opensaml.saml.saml2.metadata.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<SAMLObject>`
EntitiesDescriptorImpl.`orderedDescriptors`
Ordered set of child Entity/Entities Descriptors.
`private final IndexedXMLObjectChildrenList<RoleDescriptor>`
EntityDescriptorImpl.`roleDescriptors`
Role descriptors for this entity.
`private final IndexedXMLObjectChildrenList<XMLObject>`
EndpointImpl.`unknownChildren`
child "any" elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
ExtensionsImpl.`unknownChildren`
"any" children.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.soap.common

Fields in org.opensaml.soap.common declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
AbstractExtensibleSOAPObject.`unknownXMLObjects`
"Any" type children.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.soap.wsaddressing.impl

Fields in org.opensaml.soap.wsaddressing.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
EndpointReferenceTypeImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
MetadataImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
ReferenceParametersImpl.`unknownChildren`
Wildcard child elements.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.soap.wspolicy.impl

Fields in org.opensaml.soap.wspolicy.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
PolicyAttachmentImpl.`policiesAndReferences`
Policy and PolicyReference children.
`private final IndexedXMLObjectChildrenList<XMLObject>`
AppliesToImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
PolicyAttachmentImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
OperatorContentTypeImpl.`xmlObjects`
All child elements.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.soap.wssecurity.impl

Fields in org.opensaml.soap.wssecurity.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
EmbeddedImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
SecurityImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
SecurityTokenReferenceImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
TimestampImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
TransformationParametersImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
UsernameTokenImpl.`unknownChildren`
Wildcard child elements.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.soap.wstrust.impl

Fields in org.opensaml.soap.wstrust.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
AuthenticatorImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
ClaimsImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
EntropyImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
KeyExchangeTokenImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
OnBehalfOfImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
ParticipantsImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
RequestSecurityTokenImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
RequestSecurityTokenResponseImpl.`unknownChildren`
Wildcard child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
SignChallengeTypeImpl.`unknownChildren`
Wilcard child elements.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.xacml.ctx.impl

Fields in org.opensaml.xacml.ctx.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private IndexedXMLObjectChildrenList<XMLObject>`
StatusDetailTypeImpl.`unknownChildren`
"any" children.
`private IndexedXMLObjectChildrenList<XMLObject>`
AttributeValueTypeImpl.`unknownElements`
"any" elements.
`private IndexedXMLObjectChildrenList<XMLObject>`
ResourceContentTypeImpl.`unknownElements`
"any" elements.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return IndexedXMLObjectChildrenList
Modifier and Type
Method
Description
`IndexedXMLObjectChildrenList<XACMLObject>`
PolicySetType.`getPolicyChoiceGroup()`
Gets the backing object for the choice group containing the `PolicySetType`, `PolicyType`, `IdReferenceType`, `CombinerParametersType`, `PolicyCombinerParametersType`, `PolicySetCombinerParametersType`.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.xacml.policy.impl

Fields in org.opensaml.xacml.policy.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private IndexedXMLObjectChildrenList<XACMLObject>`
ActionMatchTypeImpl.`attributeChoice`
Match's choice of attribute elements.
`private IndexedXMLObjectChildrenList<XACMLObject>`
EnvironmentMatchTypeImpl.`attributeChoice`
Match's choice of attribute elements.
`private IndexedXMLObjectChildrenList<XACMLObject>`
ResourceMatchTypeImpl.`attributeChoice`
Match's choice of attribute elements.
`private IndexedXMLObjectChildrenList<XACMLObject>`
SubjectMatchTypeImpl.`attributeChoice`
Match's choice of attribute elements.
`private IndexedXMLObjectChildrenList<? extends XACMLObject>`
PolicySetTypeImpl.`choiceGroup`
Elements within the choice group.
`private IndexedXMLObjectChildrenList<? extends XACMLObject>`
PolicyTypeImpl.`choiceGroup`
Elements within the choice group.
`private IndexedXMLObjectChildrenList<XMLObject>`
AttributeValueTypeImpl.`unknownElements`
"any" elements.
Methods in org.opensaml.xacml.policy.impl that return IndexedXMLObjectChildrenList
Modifier and Type
Method
Description
`IndexedXMLObjectChildrenList<XACMLObject>`
PolicySetTypeImpl.`getPolicyChoiceGroup()`
Gets the backing object for the choice group containing the `PolicySetType`, `PolicyType`, `IdReferenceType`, `CombinerParametersType`, `PolicyCombinerParametersType`, `PolicySetCombinerParametersType`.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.xacml.profile.saml.impl

Fields in org.opensaml.xacml.profile.saml.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private IndexedXMLObjectChildrenList<XACMLObject>`
XACMLPolicyQueryTypeImpl.`choiceGroup`
Choice group for the element.
`private IndexedXMLObjectChildrenList<XACMLObject>`
XACMLPolicyStatementTypeImpl.`choiceGroup`
Choice group in element.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.xmlsec.encryption.impl

Fields in org.opensaml.xmlsec.encryption.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<ReferenceType>`
ReferenceListImpl.`indexedChildren`
ReferenceType child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
EncryptionMethodImpl.`unknownChildren`
"any" children.
`private final IndexedXMLObjectChildrenList<XMLObject>`
EncryptionPropertyImpl.`unknownChildren`
Child elements from the <any> content model.
`private IndexedXMLObjectChildrenList<XMLObject>`
KeyDerivationMethodImpl.`unknownChildren`
Wildcard children.
`private IndexedXMLObjectChildrenList<XMLObject>`
AgreementMethodImpl.`xmlChildren`
List of wildcard <any> XMLObject children.
`private final IndexedXMLObjectChildrenList<XMLObject>`
ReferenceTypeImpl.`xmlChildren`
List of <any> XML child elements.

## Uses of IndexedXMLObjectChildrenList in org.opensaml.xmlsec.signature.impl

Fields in org.opensaml.xmlsec.signature.impl declared as IndexedXMLObjectChildrenList
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
KeyInfoImpl.`indexedChildren`
The list of XMLObject child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
SPKIDataImpl.`indexedChildren`
The list of XMLObject child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
TransformImpl.`indexedChildren`
"any" children.
`private final IndexedXMLObjectChildrenList<XMLObject>`
X509DataImpl.`indexedChildren`
The list of XMLObject child elements.
`private final IndexedXMLObjectChildrenList<XMLObject>`
DigestMethodImpl.`unknownChildren`
"any" children.
`private final IndexedXMLObjectChildrenList<XMLObject>`
PGPDataImpl.`xmlChildren`
List of <any> wildcard XMLObject children.